Bug 44701 - Regnum online textures flickering
Summary: Regnum online textures flickering
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-11 15:02 UTC by Pablo
Modified: 2012-02-17 15:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
some screenshots that show the issue (1.31 MB, application/x-gzip)
2012-01-11 15:02 UTC, Pablo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo 2012-01-11 15:02:10 UTC
Created attachment 55469 [details]
some screenshots that show the issue

Hi all,

I have installed regnum online in my two computers with a Radeon x1650pro (AGP)
and the other one has a HD 4670 PciX, Both are using this driver

OpenGL version string: 2.1 Mesa 8.0-devel (git-3235435 oneiric-oibaf-ppa)
OpenGL shading language version string: 1.20

but is the same with all versions of mesa 7.12 and 7.11

the game only can be playable with safe mode. if fixed or shader 2 mode are selected, some textures flickering like the screenshots show.

if safe mode is enabled the only error message is:

Mesa: User error: GL_INVALID_OPERATION in glBindTexture(target mismatch)

but everything is ok inside the game,

by deactivating safe mode:

Mesa: User error: GL_INVALID_OPERATION in glCompressedTexImage2D(invalid width or height for compression format)
Mesa: User error: GL_INVALID_OPERATION in glTexParameter(param=-1)
Mesa warning: glDraw[Range]Elements(start 5358, end 5754, count 396, type 0x1403, indices=0x29dc)
	end is out of bounds (max=2943)  Element Buffer 384 (size 11508)
	This should probably be fixed in the application.
Mesa warning: glDraw[Range]Elements(start 3558, end 5358, count 1800, type 0x1403, indices=0x1bcc)
	end is out of bounds (max=2943)  Element Buffer 384 (size 11508)
	This should probably be fixed in the application.
Mesa warning: glDraw[Range]Elements(start 14592, end 16122, count 1530, type 0x1403, indices=0x7200)

any further question, just let me know

thanks in advance
Comment 1 Michel Dänzer 2012-01-12 01:58:13 UTC
(In reply to comment #1)
> Mesa warning: glDraw[Range]Elements(start 5358, end 5754, count 396, type
> 0x1403, indices=0x29dc)
>     end is out of bounds (max=2943)  Element Buffer 384 (size 11508)
>     This should probably be fixed in the application.
> Mesa warning: glDraw[Range]Elements(start 3558, end 5358, count 1800, type
> 0x1403, indices=0x1bcc)
>     end is out of bounds (max=2943)  Element Buffer 384 (size 11508)
>     This should probably be fixed in the application.

AFAICT these rendering calls are ignored, as start > max. That could explain the missing parts on the screenshots.

This looks like either a bug in the app or in the Mesa core code printing these messages. Either way, the driver probably can't do anything about it, reassigning to Mesa core for now.
Comment 2 Kenneth Graunke 2012-02-17 15:36:08 UTC
I've just pushed a workaround to the VBO module to make it ignore invalid out-of-bounds ranges in glDrawRangeElements, which should fix a lot of models flickering in and out of view with Regnum Online's shader-based renderer.

This should be fixed in Mesa master.  (Related, possible duplicate bugs: 28138, 40361, 41152, and 45214...)  Feel free to retest.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.